Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader.rmi
Interface RmiCacheServerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  RmiCacheServer

    public interface RmiCacheServerMBean

extends org.jboss.system.ServiceMBean

Version:
  $Id: RmiCacheServerMBean.java,v 1.1 2006/02/03 16:37:10 msurtani Exp $
Author:
  Manik Surtani

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`java.lang.String` | `getBindAddress()`
`java.lang.String` | `getBindName()`
`TreeCacheMBean` | `getCache()`
`java.lang.String` | `getCacheName()`
`java.lang.String` | `getConfig()`
`java.lang.String` | `getMBeanServerName()`
`int` | `getPort()`
`void` | `setBindAddress(java.lang.String bind_addr)`
`void` | `setBindName(java.lang.String s)`
`void` | `setCache(TreeCacheMBean cache)`
`void` | `setCacheName(java.lang.String cache_name)`
`void` | `setConfig(java.lang.String config)`
`void` | `setMBeanServerName(java.lang.String name)`
`void` | `setPort(int port)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getBindAddress

    java.lang.String getBindAddress()

### setBindAddress

    void setBindAddress(java.lang.String bind_addr)
                        throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### getPort

    int getPort()

### setPort

    void setPort(int port)

### getMBeanServerName

    java.lang.String getMBeanServerName()

### setMBeanServerName

    void setMBeanServerName(java.lang.String name)

### getConfig

    java.lang.String getConfig()

### setConfig

    void setConfig(java.lang.String config)

### getCache

    TreeCacheMBean getCache()

### setCache

    void setCache(TreeCacheMBean cache)

### getCacheName

    java.lang.String getCacheName()

### setCacheName

    void setCacheName(java.lang.String cache_name)
                      throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### getBindName

    java.lang.String getBindName()

### setBindName

    void setBindName(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.